Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.sitemap.component
Class AbstractReader

    java.lang.Object
      org.apache.cocoon.pipeline.component.AbstractPipelineComponent
          org.apache.cocoon.sitemap.component.AbstractReader

All Implemented Interfaces:
  Finisher, PipelineComponent, Starter

Direct Known Subclasses:
  FileReaderComponent

    public abstract class AbstractReader

extends AbstractPipelineComponent
implements Starter, Finisher

Field Summary
`protected String` | `mimeType`
`protected OutputStream` | `outputStream`
`protected URL` | `source`

Constructor Summary
`AbstractReader()`
`AbstractReader(URL src)`

Method Summary
`void` | `setConfiguration(Map<String,? extends Object> configuration)` Pass component specific configuration parameters to the pipeline component in a generic way.
`void` | `setMimeType(String mimeType)` Set the mime-type directly which is useful when this component is used directly.
`void` | `setOutputStream(OutputStream outputStream)`
`void` | `setSource(URL source)` Set the source `URL` directly when this component is used directly.

Methods inherited from class org.apache.cocoon.pipeline.component.AbstractPipelineComponent
`finish, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.pipeline.component.Starter
`execute`

Methods inherited from interface org.apache.cocoon.pipeline.component.PipelineComponent
`finish, setup`

Methods inherited from interface org.apache.cocoon.pipeline.component.Finisher
`getContentType`

Methods inherited from interface org.apache.cocoon.pipeline.component.PipelineComponent
`finish, setup`

Field Detail

### mimeType

    protected String mimeType

### outputStream

    protected OutputStream outputStream

### source

    protected URL source

Constructor Detail

### AbstractReader

    public AbstractReader()

### AbstractReader

    public AbstractReader(URL src)

Method Detail

### setConfiguration

    public void setConfiguration(Map<String,? extends Object> configuration)

  Pass component specific configuration parameters to the pipeline component in a generic way. This is useful in environments that automatically assemble pipelines with their components and can't use the components constructors or setters.

  Specified by:
    `setConfiguration` in interface `PipelineComponent`
  Overrides:
    `setConfiguration` in class `AbstractPipelineComponent`
  Parameters:
    `configuration` - The `Map` of configuration parameters.
  See Also:
    `PipelineComponent.setConfiguration(java.util.Map)`

### setMimeType

    public void setMimeType(String mimeType)

  Set the mime-type directly which is useful when this component is used directly.

  Parameters:
    `mimeType` - The mime-type that belongs to the content that is produced by this component.

### setOutputStream

    public void setOutputStream(OutputStream outputStream)

  Specified by:
    `setOutputStream` in interface `Finisher`
  See Also:
    `Finisher.setOutputStream(java.io.OutputStream)`

### setSource

    public void setSource(URL source)

  Set the source `URL` directly when this component is used directly.

  Parameters:
    `source` - A `URL` that will be used by this component.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright � 2008-2010 The Apache Software Foundation. All Rights Reserved.